 /******************************************************************************
 * translation.h: NLS support
 *******************************************************************************
 * $Id: translation.h,v 1.5 2005/05/30 08:03:54 alainjj Exp $
 *****************************************************************************
 * Copyright (C) 2005 Nico
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/




#ifndef _TRANSLATION_H_
#define _TRANSLATION_H_
#include "strtab.h"

void init_localisation(void);
void translate_struct(struct STRTAB *to_translate);
char* codename_to_name(char* codename,struct STRTAB * all_codenames,struct STRTAB * all_names);
char* translate(char* string);
struct STRTAB* translate_struct_copy(struct STRTAB *to_translate);

#ifdef HAVE_NLS
int aligned_needed(int l,char *s);
#define ALI(l,s) aligned_needed(l,s), s
#else
#define ALI(l,s) l, s
#endif

#endif 

