/*****************************************************************************
 * writefile.c: save pictures to disk (ppm,pgm,jpeg)
 *****************************************************************************
 * $Id: writefile.h,v 1.3 2004/08/04 18:39:14 pingus77 Exp $
 *****************************************************************************
 *  (c) 1998 Gerd Knorr <kraxel@goldbach.in-berlin.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/
#ifndef _WRITEFILE_H_
#define _WRITEFILE_H_

int patch_up (char *name);
char *snap_filename (char *base, char *channel, char *ext);
int write_jpeg (char *filepath, char *filename, char *data, int long width, int long height,
        int quality, int gray);
int write_ppm (char *filepath, char *filename, char *data, int long width, int long height);
int write_pgm (char *filepath, char *filename, char *data, int long width, int long height);

#endif // _WRITEFILE_H_
